import {
  optionTypeList,
  stemTypeList,
  selectTypeList,
  scoreTypeList,
  questionNumberTypeList,
  switchOption,
} from './common';
import { getRandomNumber } from '@/utils/index';

export function getOption(content = '') {
  return { content, mark: getRandomNumber() };
}

/**
 * 获取听后选择题数据模板（防止 mark 重复）
 */
export function getListenSelectData() {
  return {
    type: 'listen_select', // 题型
    stem: '', // 题干
    option_number_show_mode: optionTypeList[0].value, // 选项类型
    description: '', // 描述
    option_list: [
      { content: '', mark: getRandomNumber() },
      { content: '', mark: getRandomNumber() },
      { content: '', mark: getRandomNumber() },
    ], // 选项
    file_id_list: [], // 文件 id 列表
    answer: { answer_list: [], score: 0, score_type: scoreTypeList[0].value }, // 答案
    // 题型属性
    property: {
      stem_type: stemTypeList[0].value, // 题干类型
      question_number: '1', // 题号
      is_enable_description: switchOption[1].value, // 描述
      select_type: selectTypeList[0].value, // 选择类型
      is_enable_listening: switchOption[0].value, // 是否听力
      score: 1, // 分值
      score_type: scoreTypeList[0].value, // 分值类型
    },
    // 其他属性
    other: {
      question_number_type: questionNumberTypeList[0].value, // 题号类型
    },
  };
}
